"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DirectionalDrilling_1 = require("../classes/DirectionalDrilling");
var inputData = {
    buildUpAngle: 2,
    horizontalDisplacement: 3000,
    kickOffPoint: 2000,
    trueVerticalDepth: 10000
};
var ddrilling = new DirectionalDrilling_1.DirectionalDrilling(inputData);
describe("test suite for `directionalDrillingMethods`", function () {
    test('Radius', function () {
        expect(ddrilling.build_UpAngleFxn()).toBe(2864.7889756541163);
    });
    test('Angle X', function () {
        expect(ddrilling.horizontal_DisplacementFxn()).toBe(0.9682854378192228);
    });
    test('Angle Y', function () {
        expect(ddrilling.total_AngleYFxn()).toBe(20.980333796791758);
    });
    test('Angle (X+Y)', function () {
        expect(ddrilling.total_AngleXplusYFxn()).toBe(21.94861923461098);
    });
    test('Measured Depth At the End of Build', function () {
        expect(ddrilling.measured_DepthAtEndOfBuildSectionFxn()).toBe(3097.430961730549);
    });
    test('Horizontal Deviation at End of Build', function () {
        expect(ddrilling.horizontal_DeviationAtEndOfBuildUpFxn()).toBe(207.64158017340878);
    });
    test('Total Measured Depth', function () {
        expect(ddrilling.total_MeasuredDepthFxn()).toBe(10568.12478132156);
    });
});
//# sourceMappingURL=DrillingMethods.spec.js.map